/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_MOTOR_H_
#define _PHIDGETCOMPONENT_MOTOR_H_

#include "PhidgetPlugin.h"

// methods
int phidgetCompMotor_GetCount(PhidgetId id);
double phidgetCompMotor_GetVelocity(PhidgetId id, int iIndex);
BOOL phidgetCompMotor_SetVelocity(PhidgetId id, int iIndex, double dVelocity);
double phidgetCompMotor_GetAcceleration(PhidgetId id, int iIndex);
BOOL phidgetCompMotor_SetAcceleration(PhidgetId id, int iIndex, double dAcceleration);
double phidgetCompMotor_GetAccelerationMin(PhidgetId id, int iIndex);
double phidgetCompMotor_GetAccelerationMax(PhidgetId id, int iIndex);
double phidgetCompMotor_GetCurrent(PhidgetId id, int iIndex);
BOOL phidgetCompMotor_SetSemaphoreIndex_CurrentChange(PhidgetId id, int iSemaphoreIndex);
BOOL phidgetCompMotor_SetSemaphoreIndex_VelocityChange(PhidgetId id, int iSemaphoreIndex);

#endif // _PHIDGETCOMPONENT_MOTOR_H_
